﻿using Kivii.WebDriver;
using Kivii.WebDriver.Actions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Test.WebDriver.Tests
{
    internal class MofcomTest
    {
        public static Window Get()
        {
            var rtns = new Window(null);

            #region 打开网站，放在Action中执行了，不需要设autoPage.Url了
            {
                var action = new NavigateAction();
                action.Name = "跳转网站";
                action.Url = "http://www.cacs.mofcom.gov.cn/cacscms/view/notice/zhtbomrasff#";
                rtns.Actions.Add(action);
            }
            #endregion

            #region 暂停2秒
            {
                var action = new SleepAction();
                action.Name = "暂停2秒";
                action.PauseMilliseconds = 2000;
                rtns.Actions.Add(action);
            }
            #endregion

            #region 移动鼠标至第1个元素上点击
            {
                var action = new ClickAction();
                action.Name = "移至第一个标签";
                action.Target = new ElementFinder("//*[@id=\"zhtbomrasff\"]");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 暂停2秒
            {
                var action = new SleepAction();
                action.Name = "等待抓取网页";
                action.PauseMilliseconds = 2000;
                rtns.Actions.Add(action);
            }
            #endregion

            #region 抓取内容
            {
                var action = new JavascriptAction();
                action.Name = "执行脚本";
                action.Script="return '抓取当前页内容'";
                rtns.Actions.Add(action);
            }
            #endregion

            #region 点击下一页
            {
                var action = new ClickAction();
                action.Name = "点击下一页";
                action.Target = new ElementFinder()
                {
                    Type = ElementFindType.LinkText,
                    Selector = "下一页"
                };
                rtns.Actions.Add(action);
            }
            #endregion

            #region 循环10页
            {
                var action = new LoopAction();
                action.LoopTimes =10;
                action.FromName = "等待抓取网页";
                rtns.Actions.Add(action);
            }
            #endregion
            return rtns;
        }
    }
}
