﻿using Kivii.WebDriver;
using Kivii.WebDriver.Actions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Test.WebDriver.Tests
{
    internal class MouseTest
    {
        public static Window Get()
        {
            var rtns = new Window(null);

            //rtns.Url = "https://www.baidu.com";//这个配置可通过NavigateAction进行

            #region 打开网站，放在Action中执行了，不需要设autoPage.Url了
            {
                var action = new NavigateAction();
                action.Name = "跳转网站";
                action.Url = "http://www.cacs.mofcom.gov.cn/cacscms/view/notice/zhtbomrasff#";
                rtns.Actions.Add(action);
            }
            #endregion

            #region 暂停2秒
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Pause;
                action.PauseMilliseconds = 2000;
                rtns.Actions.Add(action);
            }
            #endregion

            #region 移动鼠标至第1个元素上点击
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Click;
                action.Target = new ElementFinder("//*[@id=\"zhtbomrasff\"]");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 暂停2秒
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Pause;
                action.PauseMilliseconds = 2000;
                rtns.Actions.Add(action);
            }
            #endregion

            #region 移动鼠标至第2个元素上点击
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Click;
                action.Target = new ElementFinder("//*[@id=\"zhtbomrapex\"]");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 暂停2秒
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Pause;
                action.PauseMilliseconds = 2000;
                rtns.Actions.Add(action);
            }
            #endregion

            #region 移动鼠标至第3个元素上点击
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Click;
                action.Target = new ElementFinder("//*[@id=\"zhtbmg\"]");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 暂停2秒
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Pause;
                action.PauseMilliseconds = 2000;
                rtns.Actions.Add(action);
            }
            #endregion

            #region 移动鼠标至第1个元素上
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Click;
                action.Target = new ElementFinder("//*[@id=\"zhtbomrasff\"]");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 执行最后的执行动作，一定要有，不然不执行
            {
                var action = new MouseAction();
                action.Type = MouseActionType.Perform;
                rtns.Actions.Add(action);
            }
            #endregion
            return rtns;
        }
    }
}
