﻿using Kivii.WebDriver;
using Kivii.WebDriver.Actions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Test.WebDriver.Tests
{
    internal class WeatherTest
    {
        public static Window GetActions()
        {
            var rtns = new Window(null);
            //autoPage.Url = "https://www.baidu.com";//生成DEMO时不需要
            #region 导航到Baidu
            {
                var action = new NavigateAction();
                action.Url = "https://www.baidu.com";
                rtns.Actions.Add(action);
            }
            #endregion

            #region 第一步，在输入框内输入内容
            {
                var action = new InputAction();
                action.Name = "输入查询内容";
                action.InputValue = "最近天气";
                action.Target = new ElementFinder("kw", "id");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 第二步点击百度一下查询按键
            {
                var action = new ClickAction();
                action.Name = "百度一下";
                action.Target = new ElementFinder("su", "id");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 第三步从界面上取一些值
            {
                var action = new OutputAction();
                action.Name = "取当前城市";
                //使用XPath
                action.Target = new ElementFinder("/html/body/div[3]/div[3]/div[1]/div[3]/div[1]/div/div/div[1]/div/div[1]/div[2]/div[1]/div[1]/div/div[1]");
                action.Attributes.Add("innerText", "所在城市");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 第四步从界面上取天气
            {
                var action = new OutputAction();
                action.Name = "取天气";
                //使用XPath
                action.Target = new ElementFinder(".weather-main-temp_6CEpK > span:nth-child(1)", "css");
                action.Attributes.Add("innerText", "天气");
                rtns.Actions.Add(action);
            }
            #endregion

            #region 第五步：测试下本地Action
            {
                var action = new MyJsAction();
                action.Name = "测试JS返回";
                //使用XPath
                action.Js = "return '测试JS返回';";
                rtns.Actions.Add(action);
            }
            #endregion
            return rtns;
        }
    }
}
